<?php /* Template Name: Subpage List */ ?>
<?php get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" >

		<?php
		// Start the loop.
		while ( have_posts() ) : the_post();

			// Include the page content template.
			get_template_part( 'content', 'page' );
		// End the loop.
		endwhile; ?>
		
			
			<div class="relatedpostlistcontainer site-main-loop" role="navigation">
			<?php
			// Query Subpages
			$page = (get_query_var('paged')) ? get_query_var('paged') : 1;
			query_posts("post_type=page&post_parent=".$post->ID."&paged=$page&orderby=menu_order&order=ASC");
			if ( have_posts() ) :  while ( have_posts() ) : the_post(); ?>
			
			<article id="post-<?php the_ID(); ?>" <?php post_class('postbox subpagelist'); ?>>
			
				<div class="postboximage">
				<?php if (has_post_thumbnail( $post->ID ) ): ?> 
					<a href="<?php the_permalink() ?>" rel="bookmark">
						<?php the_post_thumbnail( 'post-thumbnail' ); ?>
					</a>
				<?php endif; ?>
				</div>
				<div class="postlistcontent">
						
							<a href="<?php the_permalink() ?>" rel="bookmark" class="postboxlink">
								<h2 class="entry-title"><?php if (is_sticky()) { ?><span class="stickyinloop icon-alert"></span><?php } ?><?php the_title();?></h2>
							</a>	
						
					<div class="date"></div>	
					<div class="excerpt"><?php the_excerpt(); ?></div>	
					
					<a href="<?php the_permalink() ?>" class="more-link" rel="bookmark"><?php _e( 'Continue reading', 'products-arts-services' ) ?> <span class="screen-reader-text"><?php the_title() ?></span></a>
				</div>
	
			</article><!-- #post-## -->
			
			<?php endwhile; endif;
				
				// Previous/next page navigation.
				the_posts_pagination( array(
					'prev_text'          => __( 'Previous page', 'products-arts-services' ),
					'next_text'          => __( 'Next page', 'products-arts-services' ),
					'before_page_number' => '<span class="meta-nav screen-reader-text">' . __( 'Page', 'products-arts-services' ) . ' </span>',
				) );
			
			 wp_reset_query(); ?> 
			</div>
		</main><!-- .site-main -->
	</div><!-- .content-area -->

<?php get_footer(); ?>